project-navigation
Personal tools

Author Topic: Modifying .pk3 - "Could not find version string for script files" error  (Read 3706 times)

Offline Kmarade

  • Cannon Fodder
  • **
  • Posts: 5
    • View Profile
Hi,

I tried to modify a ufo0.pk3 file, to adjust some things in the campaign file. But when I launch the game, the launcher says "Could not find version string for script files" at the end, and don't launch the game. I just modify some variable, and just a little, so I don't think there's a code error. Someone can help?

Offline Mattn

  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4831
  • https://github.com/mgerhardy/vengi
    • View Profile
    • Vengi Voxel Tools
have you extracted the file into base/ufos directory? or have you rrezipped your modified files back into the 0ufos.pk3?

Offline Kmarade

  • Cannon Fodder
  • **
  • Posts: 5
    • View Profile
extracted, modified and rezzipped in the .pk3

Offline Mattn

  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4831
  • https://github.com/mgerhardy/vengi
    • View Profile
    • Vengi Voxel Tools
make sure that the ufos/ directory is in the pk3 file, too. there should be a file ufos/version.ufo in the pk3 file

Offline Kmarade

  • Cannon Fodder
  • **
  • Posts: 5
    • View Profile
my mistake, I named the directory inside the pk3 "0ufos"... thanks for your help!

Offline Crystan

  • Project Artist
  • Captain
  • ***
  • Posts: 572
  • UFO:AI Lead Sound Artist
    • View Profile
    • http://crysea.cr.funpic.de/
In fact you dont need to repack it. Just extract the whole ufo folder in your base dir and delete or rename the pk3. UFO:AI looks for a folder if theres a pk3 or a file inside missing.
« Last Edit: July 21, 2011, 01:14:51 pm by Crystan »